ST_AsFlatGeobuf
Prev | 8.9.3. Other Formats | Next

## Name

ST_AsFlatGeobuf — Return a FlatGeobuf representation of a set of rows.

## Synopsis

`bytea ST_AsFlatGeobuf(`anyelement set row`)`;

`bytea ST_AsFlatGeobuf(`anyelement row, bool index`)`;

`bytea ST_AsFlatGeobuf(`anyelement row, bool index, text geom_name`)`;

## Description

Return a FlatGeobuf representation (http://flatgeobuf.org) of a set of rows corresponding to a FeatureCollection. NOTE: PostgreSQL bytea cannot exceed 1GB.

`row` row data with at least a geometry column.

`index` toggle spatial index creation. Default is false.

`geom_name` is the name of the geometry column in the row data. If NULL it will default to the first found geometry column.

Availability: 3.2.0

Prev | Up | Next
ST_AsEncodedPolyline | Home | ST_AsGeobuf